/*
  Warnings:

  - You are about to drop the column `hostId` on the `Room` table. All the data in the column will be lost.

*/
-- DropForeignKey
ALTER TABLE `Room` DROP FOREIGN KEY `Room_hostId_fkey`;

-- AlterTable
ALTER TABLE `QuizUser` ADD COLUMN `isHost` BOOLEAN NULL,
    ADD COLUMN `roomId` CHAR(6) NULL;

-- AlterTable
ALTER TABLE `Room` DROP COLUMN `hostId`;

-- AddForeignKey
ALTER TABLE `QuizUser` ADD CONSTRAINT `QuizUser_roomId_fkey` FOREIGN KEY (`roomId`) REFERENCES `Room`(`id`) ON DELETE SET NULL ON UPDATE CASCADE;
