import { Injectable } from '@nestjs/common';
import { CreateAnswerDto } from './dto/create-answer.dto';
import { UpdateAnswerDto } from './dto/update-answer.dto';
import { AnswerRepository } from './store/answer-repository';

@Injectable()
export class AnswerService {
  constructor(private readonly answerRepository: AnswerRepository) {}
  create(createAnswerDto: CreateAnswerDto) {
    return 'This action adds a new answer';
  }

  isCorrect(codeQuiz: string, questionID: number, answerID: number) {
    return this.answerRepository.isCorrect(codeQuiz, questionID, answerID);
  }

  isRunCorrect(id: string, questionID: number, answerID: number) {
    return this.answerRepository.isRunCorrect(id, questionID, answerID);
  }

  findAll() {
    return `This action returns all answer`;
  }

  findOne(id: number) {
    return `This action returns a #${id} answer`;
  }

  update(id: number, updateAnswerDto: UpdateAnswerDto) {
    return `This action updates a #${id} answer`;
  }

  remove(id: number) {
    return `This action removes a #${id} answer`;
  }
}
