import { Injectable } from '@nestjs/common';
import { CreateQuestionDto } from './dto/create-question.dto';
import { UpdateQuestionDto } from './dto/update-question.dto';
import { QuizService } from '../quiz/quiz.service';
import { QuizRepository } from '../quiz/store/quiz-repository';

@Injectable()
export class QuestionService {
  constructor(
    private readonly quizRepository: QuizRepository,
    private readonly quizService: QuizService,
  ) {}

  create(createQuestionDto: CreateQuestionDto) {
    return 'This action adds a new question';
  }

  findAll() {
    return `This action returns all question`;
  }

  findOne(id: number) {
    return `This action returns a #${id} question`;
  }

  update(id: number, updateQuestionDto: UpdateQuestionDto) {
    return `This action updates a #${id} question`;
  }

  remove(id: number) {
    return `This action removes a #${id} question`;
  }

  async importQuestions(amount: number, category: number, difficulty: string) {
    return this.quizService.importQuestionsForCommunity(
      amount,
      category,
      difficulty,
    );
  }

  async updateQuestion(
    quizId: string,
    questionId: number,
    updateQuestionDto: UpdateQuestionDto,
  ) {
    return this.quizService.updateQuestion(
      quizId,
      questionId,
      updateQuestionDto,
    );
  }
}
