/*
  Warnings:

  - You are about to drop the column `PartyId` on the `QuizUser` table. All the data in the column will be lost.
  - You are about to drop the column `PartyId` on the `Run` table. All the data in the column will be lost.

*/
-- DropForeignKey
ALTER TABLE `QuizUser` DROP FOREIGN KEY `QuizUser_PartyId_fkey`;

-- DropForeignKey
ALTER TABLE `Run` DROP FOREIGN KEY `Run_PartyId_fkey`;

-- AlterTable
ALTER TABLE `QuizUser` DROP COLUMN `PartyId`,
    ADD COLUMN `partyId` CHAR(6) NULL;

-- AlterTable
ALTER TABLE `Run` DROP COLUMN `PartyId`,
    ADD COLUMN `partyId` CHAR(6) NULL;

-- AddForeignKey
ALTER TABLE `Run` ADD CONSTRAINT `Run_partyId_fkey` FOREIGN KEY (`partyId`) REFERENCES `Party`(`id`) ON DELETE SET NULL ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE `QuizUser` ADD CONSTRAINT `QuizUser_partyId_fkey` FOREIGN KEY (`partyId`) REFERENCES `Party`(`id`) ON DELETE SET NULL ON UPDATE CASCADE;
